Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.imageio.plugins.jpeg
Class JPEGQTable

    java.lang.Object
      |
      +--javax.imageio.plugins.jpeg.JPEGQTable

public class JPEGQTable
extends Object

A class encapsulating a single JPEG quantization table. The elements appear in natural order (as opposed to zig-zag order). Static variables are provided for the "standard" tables taken from Annex K of the JPEG spec, as well as the default tables conventionally used for visually lossless encoding.

For more information about the operation of the built-in JPEG plug-ins, see the JPEG metadata format specification and usage notes.

Field Summary
`static JPEGQTable` | `K1Div2Luminance` The sample luminance quantization table given in the JPEG specification, table K.1, with all elements divided by 2.
`static JPEGQTable` | `K1Luminance` The sample luminance quantization table given in the JPEG specification, table K.1.
`static JPEGQTable` | `K2Chrominance` The sample chrominance quantization table given in the JPEG specification, table K.2.
`static JPEGQTable` | `K2Div2Chrominance` The sample chrominance quantization table given in the JPEG specification, table K.2, with all elements divided by 2.

Constructor Summary
`JPEGQTable(int[] table)` Constructs a quantization table from the argument, which must contain 64 elements in natural order (not zig-zag order).

Method Summary
`JPEGQTable` | `getScaledInstance(float scaleFactor, boolean forceBaseline)` Returns a new quantization table where the values are multiplied by `scaleFactor` and then clamped to the range 1..32767 (or to 1..255 if `forceBaseline` is `true`).
`int[]` | `getTable()` Returns a copy of the current quantization table as an array of ints in natural (not zig-zag) order.
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### K1Luminance

    public static final JPEGQTable K1Luminance

  The sample luminance quantization table given in the JPEG specification, table K.1. According to the specification, these values produce "good" quality output.

  See Also:
    `K1Div2Luminance`

### K1Div2Luminance

    public static final JPEGQTable K1Div2Luminance

  The sample luminance quantization table given in the JPEG specification, table K.1, with all elements divided by 2. According to the specification, these values produce "very good" quality output. This is the table usually used for "visually lossless" encoding, and is the default luminance table used if the default tables and quality settings are used.

  See Also:
    `K1Luminance`

### K2Chrominance

    public static final JPEGQTable K2Chrominance

  The sample chrominance quantization table given in the JPEG specification, table K.2. According to the specification, these values produce "good" quality output.

  See Also:
    `K2Div2Chrominance`

### K2Div2Chrominance

    public static final JPEGQTable K2Div2Chrominance

  The sample chrominance quantization table given in the JPEG specification, table K.2, with all elements divided by 2. According to the specification, these values produce "very good" quality output. This is the table usually used for "visually lossless" encoding, and is the default chrominance table used if the default tables and quality settings are used.

  See Also:
    `K2Chrominance`

Constructor Detail

### JPEGQTable

    public JPEGQTable(int[] table)

  Constructs a quantization table from the argument, which must contain 64 elements in natural order (not zig-zag order). A copy is made of the the input array.

Parameters:
  `table` - the quantization table, as an `int` array.
Throws:
  `IllegalArgumentException` - if `table` is `null` or `table.length` is not equal to 64.

Method Detail

### getTable

    public int[] getTable()

  Returns a copy of the current quantization table as an array of ints in natural (not zig-zag) order.

  Returns:
    A copy of the current quantization table.

### getScaledInstance

    public JPEGQTable getScaledInstance(float scaleFactor,
                                        boolean forceBaseline)

  Returns a new quantization table where the values are multiplied by `scaleFactor` and then clamped to the range 1..32767 (or to 1..255 if `forceBaseline` is `true`).

  Values of `scaleFactorless` than 1 tend to improve the quality level of the table, and values greater than `1.0` degrade the quality level of the table.

  Parameters:
    `scaleFactor` - the multiplicative factor for the table.
    `forceBaseline` - if `true`, the values will be clamped to the range 1..255.
  Returns:
    a new quantization table that is a linear multiple of the current table.

### toString

    public String toString()

  Description copied from class: `Object`
  Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method.

  The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

  >      getClass().getName() + '@' + Integer.toHexString(hashCode())

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.